MetricSetController Methods

The MetricSetController type exposes the following members.

Methods
  NameDescription
Public methodAddAllElementsToMetricSet
POST /MetricSet/AddAllElements/{id} Adds all the elements to the metric set with the specified placement position.
Public methodAddContextualMeasure
POST /MetricSet/AddContextualMeasure/{id} Adds a contextual measure to the metric set.
Public methodAddCountMeasureToMetricSet
POST /MetricSet/AddCountMeasure/{id} Adds the count measure to the metric set.
Public methodAddCustomHierarchyGroup
POST /MetricSet/AddCustomHierarchyGroup/{id} Adds a custom hierarchy group to the metric set.
Public methodAddDynamicHierarchy
POST /MetricSet/AddDynamicHierarchy/{id} Adds a dynamic hierarchy to the metric set.
Public methodAddDynamicMeasure
POST /MetricSet/AddDynamicMeasure/{id} Adds a dynamic measure to the metric set.
Public methodAddElementToMetricSet
POST /MetricSet/AddElement/{id} Adds the specified element to the metric set.
Public methodAddParallelPeriodMeasure
POST /MetricSet/AddParallelPeriodMeasure/{id} Adds a parallel period measure to a metric set.
Public methodAddParallelSlicerMeasure
POST /MetricSet/AddParallelSlicerMeasure/{id} Adds a parallel slicer measure to a metric set.
Public methodAddReplaceHierarchyOnMetricSet
POST /MetricSet/AddReplaceHierarchy/{id} Adds the specified element + hierarchy to the metric set, or if the element is already on the metric set, updates it to use the hierarchy given.
Public methodAddScriptMeasure
POST /MetricSet/AddScriptMeasure/ Add a script measure to the metric set.
Public methodAddScriptMetricSet
POST /MetricSet/AddScriptMetricSet/ Generate a script metric set.
Public methodAddStateGroupToMetricSet
POST /MetricSet/AddStateGroup/{id} Adds a state group to a metric set.
Public methodCancelMeasureSorting
PUT /MetricSet/CancelMeasureSorting/{id} Cancels all measure sorting on a metric set.
Protected methodEnsureCallerContext
If the current context is not already the specified context, creates a new caller context which is a clone of the specified context and sets it as the current one.
(Inherited from ApiControllerBase.)
Protected methodEnsureFormFileMultipartContent
Ensures when form files are access the content is MIME multi-part which we want.
(Inherited from ApiControllerBase.)
Public methodGenerateMetricSet
POST /MetricSet/ Generates a new metric set.
Public methodGetAnalysisStructure
GET /MetricSet/AnalysisStructure/{id} Gets the metric set's analysis structure.
Protected methodGetClientIdFromCookieOrProvided
Gets the client ID from cookie or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Public methodGetMetricSet
GET /MetricSet/{id} Gets a metric set.
Public methodGetMetricSetsByIds
POST /MetricSet/GetByIds/ Gets a metric set.
Protected methodGetServiceT
Gets the requested service.
(Inherited from ApiControllerBase.)
Protected methodGetSessionIdFromCookieHeaderOrProvided
Gets the session ID from cookie, the authorization header or from the provided value, which is usually from the query string.
(Inherited from ApiControllerBase.)
Protected methodLoadSession
Creates a new caller context associated with the specified session ID. The session is not validated.
(Inherited from ApiControllerBase.)
Public methodMoveElementBeforeOnMetricSet
POST /MetricSet/MoveElementBefore/{id} Moves an element before another element in a metric set.
Public methodParseScript
POST /MetricSet/ParseScript/ Parse a script for its structural break down to be used when displaying analysis when creating the script in the UI.
Public methodRemoveAllElementsFromMetricSet
POST /MetricSet/RemoveAllElements/{id} Removes all the elements to the metric set with the specified placement position.
Public methodRemoveElementFromMetricSet
DELETE /MetricSet/RemoveElement/{id} Removes an element from a metric set.
Public methodRemoveStateGroupOnMetricSet(Guid, Guid, NullableGuid)
DELETE /MetricSet/RemoveStateGroup/{id} Deletes the specified state group from a metric set.
Public methodRemoveStateGroupOnMetricSet(Guid, String, NullableGuid)
DELETE /MetricSet/RemoveCustomHierarchyGroup/{id} Deletes the specified custom hierarchy group from a metric set.
Public methodReplaceAnalysisStructure
POST /MetricSet/ReplaceAnalysisStructure/{id} Replaces the metric set's analysis structure with a different one.
Public methodReplaceElementOnMetricSet
POST /MetricSet/ReplaceElement/{id} Replaces an element in a metric set.
Protected methodRequestFirstFormFile
Retrieves the first form file from the request.
(Inherited from ApiControllerBase.)
Protected methodRequestFormFiles
Retrieves the form files from the request.
(Inherited from ApiControllerBase.)
Public methodRestoreUndoFrame
POST /MetricSet/RestoreUndoFrame/{id} Restores the metric set to the given undo frame ID.
Protected methodReturnInvalidWindowsIdentityResponse
Returns the invalid windows identity response to challenge the browser.
(Inherited from ApiControllerBase.)
Public methodSwitchTotalsCalculationRules
POST /MetricSet/SwitchTotalsCalculationRules/ Switches the calculation axis for any defined totals calculation rule for the specified measure.
Public methodUpdateElementOnMetricSet
PUT /MetricSet/UpdateElement/{id} Updates the specified element on the metric set.
Public methodUpdateElementsOnMetricSet
PUT /MetricSet/UpdateElements/{id} Updates the specified elements on the metric set.
Public methodUpdateMetricSet
PUT /MetricSet/{id} Updates a metric set.
Public methodUpdateMetricSetSorting
PUT /MetricSet/UpdateSorting/{id} Updates the sorting and given elements on the metric set.
Public methodUpdateScriptMeasure
PUT /MetricSet/UpdateScriptMeasure/ Update a script measure.
Public methodUpdateScriptMetricSet
PUT /MetricSet/UpdateScriptMetricSet/ Update a script metric set.
Public methodUpdateStateGroupOnMetricSet
PUT /MetricSet/UpdateStateGroup/{id} Updates the specified state group in a metric set.
Top
See Also